> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax group

> Get a tax group

<sup>Required permissions: `tax-group:read`</sup>



## OpenAPI

````yaml get /tax-groups/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /tax-groups/{id}:
    parameters: []
    get:
      tags:
        - Tax
      summary: Get tax group
      description: |-
        Get a tax group

        <sup>Required permissions: `tax-group:read`</sup>
      operationId: getTaxGroup
      parameters:
        - name: id
          in: path
          description: TaxGroup identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: TaxGroup resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxGroup-TaxGroupDetail'
            text/html:
              schema:
                $ref: '#/components/schemas/TaxGroup-TaxGroupDetail'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - tax-group:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /tax-groups/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    TaxGroup-TaxGroupDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        internalDescription:
          maxLength: 255
          description: The name of the tax group which will be displayed only in the UI
          example: 19%
          type: string
        reverseChargeType:
          description: Defines if reverse charge will be applicated or not
          default: REVERSE_CHARGE
          example: REVERSE_CHARGE
          enum:
            - REVERSE_CHARGE_DEACTIVATED
            - REVERSE_CHARGE
            - REVERSE_CHARGE_INTRA_EU_SUPPLY
        type:
          default: standard
          example: standard
          enum:
            - standard
            - reduced
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/Tax-TaxGroupDetail'
      required:
        - internalDescription
        - reverseChargeType
        - type
    Tax-TaxGroupDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        description:
          maxLength: 255
          description: Some internal description
          example: 19%
          nullable: true
        code:
          description: Some internal code
          example: '19'
          type: string
        rate:
          minimum: 0
          maximum: 100
          description: Tax rate in percent
          example: 19
          type: integer
        validFrom:
          description: Date from which the tax is valid.
          example: '2021-01-01'
          type:
            - string
            - 'null'
          format: date-time
        countryCode:
          enum:
            - '*'
            - EU_*
            - AT
            - BE
            - BG
            - CY
            - CH
            - CZ
            - DE
            - DK
            - EE
            - EL
            - ES
            - FI
            - FR
            - GB
            - HR
            - HU
            - IE
            - IT
            - LT
            - LU
            - LV
            - MT
            - NL
            - PL
            - PT
            - RO
            - SE
            - SI
            - SK
          minLength: 1
          maxLength: 4
          description: Country code
          example: DE
          type: string
      required:
        - code
        - rate
        - countryCode
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````